BTCPay Server integration: operations for AI agents
BTCPay Server connects to Type.com as an integration. This page lists the 204 operations documented for Claude and Codex in Type.com: 100 read, 56 write, 48 destructive.
About BTCPay Server
BTCPay Server is a free, open-source, self-hosted Bitcoin payment processor that enables merchants to accept Bitcoin payments without intermediaries.
Categories: Commerce & Payments
How to connect BTCPay Server to Type.com
- Access
- Organization connection: one shared account for the workspace.
- MCP
- This integration is not available through Type’s MCP server. It remains available in Type.
To add the connection, follow the steps in Space connections.
Documented operations
204 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.
204 operations listed.
API Keys
- Read
Get the current API Key information
View information about the current API key
- Write
Create a new API Key
Create a new API Key
- Write
Create a new API Key for a user
Create a new API Key for a user
- Destructive
Revoke an API Key
Revoke the current API key so that it cannot be used anymore
- Destructive
Revoke an API Key of target user
Revoke the API key of a target user so that it cannot be used anymore
- Destructive
Revoke the current API Key
Revoke the current API key so that it cannot be used anymore
Apps
- Read
Get Point of Sale app data
Returns POS app data
- Read
Get crowdfund app data
Returns crowdfund app data
- Read
Get basic app data
Returns basic app data shared between all types of apps
- Read
Get app sales statistics
Returns sales statistics for the app
- Read
Get app top items statistics
Returns top items statistics for the app
- Read
Get basic app data for all apps for a store
Returns basic app data for all apps for a store
- Read
Get basic app data for all apps for all stores for a user
Returns basic app data for all apps for all stores
- Write
Create a new Point of Sale app
Point of Sale app allows accepting payments for items in a virtual store
- Write
Create a new Crowdfund app
POST /api/v1/stores/{storeId}/apps/crowdfund
- Write
Uploads an image for an app item
Uploads an image for an app item
- Destructive
Update a Point of Sale app
Use this endpoint for updating the properties of a POS app
- Destructive
Update a Crowdfund app
Full update. GET the app first, modify the data, then PUT the complete payload.
- Destructive
Delete app
Deletes app with specified ID
- Destructive
Deletes the app item image
Deletes the app item image
Authorization
- Read
Authorize User
Redirect the browser to this endpoint to request the user to generate an api-key with specific permissions
Files
- Read
Get all files
Load all files that exist.
- Read
Get file
View information about the specified file
- Write
Uploads a file
Uploads a file
- Destructive
Delete file
Deletes the file
Health
- Read
Get health status
Check the instance health status
Invoices
- Read
Get invoices
View information about the existing invoices
- Read
Get invoice
View information about the specified invoice. The store is resolved automatically from the invoice.
- Read
Get invoice payment methods
View information about the specified invoice's payment methods. The store is resolved automatically from the invoice.
- Read
Get invoice refund trigger data
View calculated refund amounts for the specified invoice/payment-method. The store is resolved automatically from the invoice.
- Write
Create a new invoice
Create a new invoice
- Write
Mark invoice status
Mark an invoice as invalid or settled. The store is resolved automatically from the invoice.
- Write
Unarchive invoice
Unarchive an invoice. The store is resolved automatically from the invoice.
- Write
Activate Payment Method
Activate an invoice payment method (if lazy payments mode is enabled). The store is resolved automatically from the invoice.
- Write
Refund invoice
Refund invoice. The store is resolved automatically from the invoice.
- Destructive
Update invoice
Updates the specified invoice. The store is resolved automatically from the invoice.
- Destructive
Archive invoice
Archives the specified invoice. The store is resolved automatically from the invoice.
Lightning (Internal Node)
- Read
Get node information
View information about the lightning node
- Read
Get node balance
View balance of the lightning node
- Read
Get node balance histogram
View balance histogram of the lightning node
- Read
Get channels
View information about the current channels of the lightning node
- Read
Get deposit address
Get an on-chain deposit address for the lightning node
- Read
Get payment
View information about the requested lightning payment
- Read
Get invoice
View information about the requested lightning invoice
- Read
Get invoices
View information about the lightning invoices
- Read
Get payments
View information about the lightning payments
- Write
Connect to lightning node
Connect to another lightning node.
- Write
Open channel
Open a channel with another lightning node. You should connect to that node first.
- Write
Pay Lightning Invoice
Pay a lightning invoice. In case the payment response times out, the status will be reported as pending and the final status can be resolved using the Get payment endpoint.
- Write
Create lightning invoice
Create a lightning invoice.
Lightning (Store)
- Read
Get node information
View information about the lightning node
- Read
Get node balance
View balance of the lightning node
- Read
Get node balance histogram
View balance histogram of the lightning node
- Read
Get channels
View information about the current channels of the lightning node
- Read
Get deposit address
Get an on-chain deposit address for the lightning node
- Read
Get payment
View information about the requested lightning payment
- Read
Get invoice
View information about the requested lightning invoice
- Read
Get invoices
View information about the lightning invoices
- Read
Get payments
View information about the lightning payments
- Write
Connect to lightning node
Connect to another lightning node.
- Write
Open channel
Open a channel with another lightning node. You should connect to that node first.
- Write
Pay Lightning Invoice
Pay a lightning invoice. In case the payment response times out, the status will be reported as pending and the final status can be resolved using the Get payment endpoint.
- Write
Create lightning invoice
Create a lightning invoice.
Miscelleneous
- Read
Get available rate sources
View available rate providers that you can use in stores
- Read
Permissions metadata
The metadata of available permissions
- Read
Language codes
The supported language codes
- Read
Invoice checkout
View the checkout page of an invoice
Notifications (Current User)
- Read
Get notifications
View current user's notifications
- Read
Get notification
View information about the specified notification
- Read
Get notification settings
View information about your notification settings
- Destructive
Update notification
Updates the notification
- Destructive
Remove Notification
Removes the specified notification.
- Destructive
Update notification settings
Updates the current user's notification settings
Payment Requests
- Read
Get payment requests
View information about the existing payment requests
- Read
Get payment request
View information about the specified payment request. The store is resolved automatically from the payment request.
- Write
Create a new payment request
Create a new payment request
- Write
Create a new invoice for the payment request
Create a new invoice for the payment request, or reuse an existing one. The store is resolved automatically from the payment request.
- Destructive
Update payment request
Update a payment request. The store is resolved automatically from the payment request.
- Destructive
Archive payment request
Archives the specified payment request. The store is resolved automatically from the payment request.
Stores (Payout Processors)
- Read
Get store configured payout processors
Get store configured payout processors
- Read
Get configured store onchain automated payout processors
Get configured store onchain automated payout processors
- Read
Get configured store Lightning automated payout processors
Get configured store Lightning automated payout processors
- Read
Get configured store onchain automated payout processors
Get configured store onchain automated payout processors
- Read
Get configured store Lightning automated payout processors
Get configured store Lightning automated payout processors
- Destructive
Remove store configured payout processor
Remove store configured payout processor
- Destructive
Update configured store onchain automated payout processors
Update configured store onchain automated payout processors
- Destructive
Update configured store Lightning automated payout processors
Update configured store Lightning automated payout processors
- Destructive
Update configured store onchain automated payout processors
Update configured store onchain automated payout processors
Payout Processors
- Read
Get payout processors
Get payout processors available in this instance
Pull payments (Public)
- Read
Get Pull Payment
Get a pull payment
- Read
Get Payouts
Get payouts
- Read
Get Payout
Get payout
- Read
Get Pull Payment LNURL details
Get Pull Payment LNURL details
- Write
Link a boltcard to a pull payment
Linking a boltcard to a pull payment will allow you to pay via NFC with it, the money will be sent from the pull payment. The boltcard keys are generated using Deterministic Boltcard Key Generation.
- Write
Create Payout
Create a new payout
Pull payments (Management)
- Read
Get store's pull payments
Get the pull payments of a store
- Write
Create a new pull payment
A pull payment allows its receiver to ask for payouts up to amount of currency every period.
- Destructive
Archive a pull payment
Archive this pull payment (Will cancel all payouts awaiting for payment). The store is resolved automatically from the pull payment.
Stores (Payouts)
- Read
Get Store Payouts
Get payouts
- Read
Get Payout
Get payout
- Write
Create Payout
Create a new payout
- Write
Approve Payout
Approve a payout
- Write
Mark Payout as Paid
Mark a payout as paid
- Write
Mark Payout
Mark a payout with a state
- Destructive
Cancel Payout
Cancel the payout
Reports
- Read
Get available reports
Get the names of reports currently available for the store.
- Write
Run a report
Run an available store report over an explicit date range. The search value is a comma-separated list of field:value filters. Required report filter: - view: The report name returned by Get available reports, for example view:Invoices.
Server Email
- Read
Get server email settings
Retrieve the email settings configured for the server. The password field will be masked if present.
- Destructive
Update server email settings
Update server's email settings.
Server Info
- Read
Get server info
Information about the server, chains and sync states
- Read
Get store's roles
View information about the store's roles at the server's scope
Stores (Email)
- Read
Get store email settings
Retrieve the email settings configured for specific store. The password field will be masked if present.
- Write
Send an email for a store
Send an email using the store's SMTP server
- Destructive
Update store email settings
Update a store's email settings
Lightning address
- Read
Get store configured lightning addresses
Get store configured lightning addresses
- Read
Get store configured lightning address
Get store configured lightning address
- Write
Add or update store configured lightning address
Add or update store configured lightning address
- Destructive
Remove configured lightning address
Remove store configured lightning address
Store (Payment Methods)
- Read
Get store payment methods
View information about the stores' configured payment methods
- Read
Get store payment method
View information about the stores' configured payment method
- Destructive
Update store's payment method
Update information about the stores' configured payment method
- Destructive
Delete store's payment method
Delete information about the stores' configured payment method
Stores (Rates)
- Read
Get rates
Get rates on the store
- Read
Get store rate settings for the specified rate source
View rate settings for the specified store and rate source (primary or fallback).
- Read
Preview rate configuration results
Preview rate configuration results before you set it on the store
- Destructive
Get store rate settings for the specified rate source
Update rate settings for the specified store and rate source (primary or fallback).
Stores (Users)
- Read
Get store users
View users of the specified store
- Read
Get pending store invitations
View pending and expired invitations for the specified store.
- Read
Get a store invitation
Get invitation details from its token before accepting or declining it.
- Write
Add or invite a store user
Add a store user. By default, this creates a store invitation. To add the user directly, set requireInvitation to false; this requires server settings permission.
- Write
Accept a store invitation
Accept the current user's pending invitation identified by its token.
- Write
Resend a store invitation
Generate and deliver a new token for an existing pending store invitation.
- Destructive
Update a store user role
Update the role of an existing store user. The user id or email must be provided in the request body.
- Destructive
Decline a store invitation
Decline the current user's invitation identified by its token.
- Destructive
Update a store user role
Update the role of an existing store user.
- Destructive
Remove Store User
Removes the specified store user. If there is no other owner, this endpoint will fail.
- Destructive
Cancel a store invitation
Cancel the specified user's pending store invitation.
Store Wallet (On Chain)
- Read
Get store on-chain wallet overview
View information about the specified wallet
- Read
Get store on-chain wallet balance histogram
View the balance histogram of the specified wallet
- Read
Get store on-chain wallet fee rate
Get wallet onchain fee rate
- Read
Get store on-chain wallet address
Get or generate address for wallet
- Read
Get store on-chain wallet transactions
Get store on-chain wallet transactions
- Read
Get store on-chain wallet transaction
Get store on-chain wallet transaction
- Read
Get store on-chain wallet UTXOS
Get store on-chain wallet utxos
- Read
Preview store on-chain payment method addresses
View addresses of the current payment method of the store
- Read
Preview proposed store on-chain payment method addresses
View addresses of a proposed payment method of the store
- Read
Get store on-chain wallet objects
View wallet objects
- Read
Get store on-chain wallet object
View wallet object
- Write
Create store on-chain wallet transaction
Create store on-chain wallet transaction. Requires btcpay.store.cancreatetransactions and btcpay.store.cansigntransactions. Also requires btcpay.store.canbroadcasttransactions when proceedWithBroadcast is true, including Payjoin.
- Write
Broadcast an on-chain transaction or finalized PSBT
Broadcast a raw transaction hex string or a finalized PSBT for the specified wallet.
- Write
Patch store on-chain wallet transaction info
Patch store on-chain wallet transaction info
- Write
Generate store on-chain wallet
Generate a wallet and update the specified store's payment method to it
- Write
Add/Update store on-chain wallet objects
Add/Update wallet objects
- Write
Add/Update store on-chain wallet object link
Add/Update wallet object link
- Destructive
UnReserve last store on-chain wallet address
UnReserve address
- Destructive
Remove store on-chain wallet objects
Remove wallet object
- Destructive
Remove store on-chain wallet object links
Remove wallet object link
Stores
- Read
Get stores
View information about the available stores
- Read
Get store
View information about the specified store
- Read
Get store's roles
View information about the specified store's roles
- Write
Create a new store
Create a new store (default values can be different if the server settings use a default store template)
- Write
Uploads a logo for the store
Uploads a logo for the store
- Destructive
Update store
Update the specified store (default values can be different if the server settings use a default store template)
- Destructive
Remove Store
Removes the specified store. If there is another user with access, only your access will be removed.
- Destructive
Deletes the store logo
Delete the store's logo
Subscriptions
- Read
Get an offering
Returns a specific offering for a store.
- Read
List offerings for a store
Retrieves all offerings associated with the specified store.
- Read
Get an offering plan
Returns a specific plan for a given offering.
- Read
Get a subscriber
Retrieves a subscriber for a specific offering by customer selector.
- Read
Get subscriber credit balance
Retrieves the credit balance for a subscriber in the specified currency.
- Read
Get a plan checkout
Retrieves the details of a plan checkout session. Authentication is optional.
- Read
Get a subscriber portal session
Retrieves the details of an existing subscriber portal session.
- Write
Create an offering
Creates a new offering for the specified store.
- Write
Create an offering plan
Creates a new plan for a specific offering.
- Write
Update subscriber credit balance
Adds credit or charges credit for a subscriber in a given currency.
- Write
Suspend a subscriber
Suspends a subscriber for the specified offering.
- Write
Unsuspend a subscriber
Removes suspension from a subscriber for the specified offering.
- Write
Proceed with a plan checkout
Continues a plan checkout session. Behavior: - If payment is required, the checkout assigns a BTCPay Server invoice and invoiceId will be set.
- Write
Create a plan checkout session
Creates a checkout session for purchasing or activating a plan.
- Write
Create a subscriber portal session
Creates a portal session that allows a subscriber to manage their subscriptions, view billing details, or update account information.
- Destructive
Update an offering
Updates an existing offering for the specified store.
- Destructive
Update an offering plan
Updates an existing plan for a specific offering.
- Destructive
Delete a subscriber
Deletes a subscriber for a specific offering by customer selector.
- Destructive
Update subscriber dates
Manually overrides the subscription start date and/or expiration date for a subscriber. Omitting a field leaves the corresponding date unchanged. An empty body {} is a no-op and returns the subscriber unchanged.
Users
- Read
Get current user information
View information about the current user
- Read
Get all users
Load all users that exist.
- Read
Get user by ID or Email
Get 1 user by ID or Email.
- Write
Uploads a profile picture for the current user
Uploads a profile picture for the current user
- Write
Create user
Create a new user. This operation can be called without authentication in any of this cases: There is not any administrator yet on the server, User registrations are not disabled in the server's policies.
- Write
Toggle user lock out
Lock or unlock a user. Must be an admin to perform this operation. Attempting to lock the only admin user will not succeed.
- Write
Toggle user approval
Approve or unapprove a user. Must be an admin to perform this operation. Attempting to (un)approve a user for which this requirement does not exist will not succeed.
- Destructive
Update current user information
Update the current user
- Destructive
Deletes user profile
Deletes user profile and associated user data for user making the request
- Destructive
Deletes user profile picture
Deletes the user profile picture
- Destructive
Delete user
Delete a user. Must be an admin to perform this operation. Attempting to delete the only admin user will not succeed. All data associated with the user will be deleted as well if the operation succeeds.
Webhooks
- Read
Get webhooks of a store
View webhooks of a store
- Read
Get a webhook
View webhook
- Read
Get latest deliveries
List the latest deliveries to the webhook, ordered from the most recent
- Read
Get a webhook delivery
Information about a webhook delivery
- Read
Get the delivery's request
The delivery's JSON request sent to the endpoint
- Write
Create a new webhook
Create a new webhook
- Write
Redeliver the delivery
Redeliver the delivery
- Destructive
Update a webhook
Update a webhook
- Destructive
Delete a webhook
Delete a webhook
No operations match.
See How connections work for access and permissions, or browse all integrations.
Reference date: October 27, 2026. BTCPay Server API docs.